EFINGERD(8)

NAME
efingerd - another finger daemon for linux

SYNOPSIS
efingerd [-t X] [-f] [-n] [-u] [--help] [--version]

efingerd should be run from inetd.

DESCRIPTION
efingerd is another finger daemon, giving you complete control over what are you going to display about your computer.

OPTIONS

--help
    Show summary of options and exit.

--version
    Show version and exit.

-t X
    Lifetime for spawned services (in seconds) ex: -t 25 maintain connections for up to 25 seconds (default: -t 60)

-n  Do not lookup addresses, use IP numbers instead

-i  Use ident service to query the name of the fingerer

-f  Do not display users' full names.

-u  Ignore user-specific .efingerd file

USAGE
If you are just an ordinary user and efingerd is already installed by your friendly administrator, you can take the advantage of it by making executable .efingerd in your home directory (it can be anything - from single shell script to a program in super-hyper-extra-object oriented language - only speed makes a difference). This program takes two arguments, the first is the name of remote user fingering you (or (null) if his/her/its system does not run ident), the second one is address of his computer (or ip number, if efingerd is installed with option -n). Standard output of this program is then displayed to the person fingering you. Look at examples/.efingerd for a nice example.

Following executables are providing information about your machine to the fingerer:

/etc/efingerd/list
  what to display when somebody does finger @your.machine

/etc/efingerd/luser
  what to display when somebody fingers user on your machine, and the fingered user does not have ~/.efingerd file

/etc/efingerd/nouser
  what to display when somebody fingers non-existent user on your machine

If the local user has file .efingerd in his/her/its home directory, and it is readable by the daemon, it will be executed and its output will be served to the fingerer.

These are normal programs, displaying on standard output desired information. These programs are called with following parameters:
  $1 - identity of remote user, (null) if his/her/its system is not running ident
  $2 - address of remote machine (IP number if it has not reverse DNS entry or you specified -n)
  $3 - name of local user being fingered

Look at examples/ for examples. Don't forget that these programs must be executable by efingerd daemon.

SEE ALSO
finger(1), fingerd(8)

AUTHOR
Radovan Garabík (garabik@kassiopeia.juls.savba.sk)

BUGS
file .efingerd in user's home directory must be executable and readable by UID efingerd runs under to work.